searchNodes=[{"ref":"GoogleApi.IAP.V1.Api.Oauth.html","title":"GoogleApi.IAP.V1.Api.Oauth","type":"module","doc":"API calls for all endpoints tagged Oauth."},{"ref":"GoogleApi.IAP.V1.Api.Oauth.html#iap_oauth_projects_brands_create/4","title":"GoogleApi.IAP.V1.Api.Oauth.iap_oauth_projects_brands_create/4","type":"function","doc":"Constructs a new OAuth brand for the project if one does not exists. The created brand is &#39;internal only&#39;, meaning that OAuth clients created under it only accept requests from users who belong to the same GSuites account as the project. The brand is created in un-reviewed status. NOTE: the &#39;internal_only&#39; can be manually changed in Pantheon UI. Requires that brand does not already exists for the project. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. GCP Project number/id under which the brand is to be created. In the following format: projects/{project_number/id}. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAP.V1.Model.Brand.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.Brand{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.Oauth.html#iap_oauth_projects_brands_get/5","title":"GoogleApi.IAP.V1.Api.Oauth.iap_oauth_projects_brands_get/5","type":"function","doc":"Retrieves the OAuth brand of the project. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. Name of the brand to be fetched. In the following format: projects/{project_number/id}/brands/{brand}. brands_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.Brand{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.Oauth.html#iap_oauth_projects_brands_identity_aware_proxy_clients_create/5","title":"GoogleApi.IAP.V1.Api.Oauth.iap_oauth_projects_brands_identity_aware_proxy_clients_create/5","type":"function","doc":"Creates an Identity Aware Proxy (IAP) OAuth client, the client is owned by IAP. Requires that the brand for the project exists and that it is set for internal only use. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. Path to create the client in. In the following format: projects/{project_number/id}/brands/{brand}. The project must belong to a GSuite account. brands_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.IdentityAwareProxyClient{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.Oauth.html#iap_oauth_projects_brands_identity_aware_proxy_clients_delete/6","title":"GoogleApi.IAP.V1.Api.Oauth.iap_oauth_projects_brands_identity_aware_proxy_clients_delete/6","type":"function","doc":"Deletes an Identity Aware Proxy (IAP) OAuth client. Useful if the secret was compromised. Requires that the client is owned by IAP. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. Name of the Identity Aware Proxy client to be deleted. In the following format: projects/{project_number/id}/brands/{brand}/identityAwareProxyClients/{client_id}. brands_id (type: String.t) - Part of name. See documentation of projectsId. identity_aware_proxy_clients_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.Oauth.html#iap_oauth_projects_brands_identity_aware_proxy_clients_get/6","title":"GoogleApi.IAP.V1.Api.Oauth.iap_oauth_projects_brands_identity_aware_proxy_clients_get/6","type":"function","doc":"Retrieves an Identity Aware Proxy (IAP) OAuth client. Requires that the client is owned by IAP. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. Name of the Identity Aware Proxy client to be fetched. In the following format: projects/{project_number/id}/brands/{brand}/identityAwareProxyClients/{client_id}. brands_id (type: String.t) - Part of name. See documentation of projectsId. identity_aware_proxy_clients_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.IdentityAwareProxyClient{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.Oauth.html#iap_oauth_projects_brands_identity_aware_proxy_clients_list/5","title":"GoogleApi.IAP.V1.Api.Oauth.iap_oauth_projects_brands_identity_aware_proxy_clients_list/5","type":"function","doc":"Lists the existing clients for the brand. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. Full brand path. In the following format: projects/{project_number/id}/brands/{brand}. brands_id (type: String.t) - Part of parent. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :pageSize (type: integer()) - The maximum number of clients to return. The service may return fewer than this value. If unspecified, at most 100 clients will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. :pageToken (type: String.t) - A page token, received from a previous ListIdentityAwareProxyClients call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to ListIdentityAwareProxyClients must match the call that provided the page token. opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.Oauth.html#iap_oauth_projects_brands_identity_aware_proxy_clients_reset_secret/6","title":"GoogleApi.IAP.V1.Api.Oauth.iap_oauth_projects_brands_identity_aware_proxy_clients_reset_secret/6","type":"function","doc":"Resets an Identity Aware Proxy (IAP) OAuth client secret. Useful for removing obsolete clients, managing the number of clients in a given project, and cleaning up after tests. Requires that the client is owned by IAP. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of name. Required. Name of the Identity Aware Proxy client to that will have its secret reset. In the following format: projects/{project_number/id}/brands/{brand}/identityAwareProxyClients/{client_id}. brands_id (type: String.t) - Part of name. See documentation of projectsId. identity_aware_proxy_clients_id (type: String.t) - Part of name. See documentation of projectsId. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.IdentityAwareProxyClient{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.Oauth.html#iap_oauth_projects_brands_list/4","title":"GoogleApi.IAP.V1.Api.Oauth.iap_oauth_projects_brands_list/4","type":"function","doc":"Lists the existing brands for the project. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server projects_id (type: String.t) - Part of parent. Required. GCP Project number/id. In the following format: projects/{project_number/id}. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.ListBrandsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.V1.html","title":"GoogleApi.IAP.V1.Api.V1","type":"module","doc":"API calls for all endpoints tagged V1."},{"ref":"GoogleApi.IAP.V1.Api.V1.html#iap_get_iam_policy/4","title":"GoogleApi.IAP.V1.Api.V1.iap_get_iam_policy/4","type":"function","doc":"Gets the access control policy for an Identity-Aware Proxy protected resource. More information about managing access via IAP can be found at: https://cloud.google.com/iap/docs/managing-access#managing_access_via_the_api Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server v1_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAP.V1.Model.GetIamPolicyRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.V1.html#iap_get_iap_settings/4","title":"GoogleApi.IAP.V1.Api.V1.iap_get_iap_settings/4","type":"function","doc":"Gets the IAP settings on a particular IAP protected resource. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server v1_id (type: String.t) - Part of name. Required. The resource name for which to retrieve the settings. Authorization: Requires the getSettings permission for the associated resource. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.IapSettings{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.V1.html#iap_set_iam_policy/4","title":"GoogleApi.IAP.V1.Api.V1.iap_set_iam_policy/4","type":"function","doc":"Sets the access control policy for an Identity-Aware Proxy protected resource. Replaces any existing policy. More information about managing access via IAP can be found at: https://cloud.google.com/iap/docs/managing-access#managing_access_via_the_api Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server v1_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAP.V1.Model.SetIamPolicyRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.V1.html#iap_test_iam_permissions/4","title":"GoogleApi.IAP.V1.Api.V1.iap_test_iam_permissions/4","type":"function","doc":"Returns permissions that a caller has on the Identity-Aware Proxy protected resource. More information about managing access via IAP can be found at: https://cloud.google.com/iap/docs/managing-access#managing_access_via_the_api Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server v1_id (type: String.t) - Part of resource. REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :body (type: GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Api.V1.html#iap_update_iap_settings/4","title":"GoogleApi.IAP.V1.Api.V1.iap_update_iap_settings/4","type":"function","doc":"Updates the IAP settings on a particular IAP protected resource. It replaces all fields unless the update_mask is set. Parameters connection (type: GoogleApi.IAP.V1.Connection.t) - Connection to server v1_id (type: String.t) - Part of iapSettings.name. Required. The resource name of the IAP protected resource. optional_params (type: keyword()) - Optional parameters :&quot;$.xgafv&quot; (type: String.t) - V1 error format. :access_token (type: String.t) - OAuth access token. :alt (type: String.t) - Data format for response. :callback (type: String.t) - JSONP :fields (type: String.t) - Selector specifying which fields to include in a partial response. :key (type: String.t) - API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (type: String.t) - OAuth 2.0 token for the current user. :prettyPrint (type: boolean()) - Returns response with indentations and line breaks. :quotaUser (type: String.t) - Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :uploadType (type: String.t) - Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :upload_protocol (type: String.t) - Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :updateMask (type: String.t) - The field mask specifying which IAP settings should be updated. If omitted, the all of the settings are updated. See https://developers.google.com/protocol-buffers/docs/reference/google.protobuf#fieldmask :body (type: GoogleApi.IAP.V1.Model.IapSettings.t) - opts (type: keyword()) - Call options Returns {:ok, %GoogleApi.IAP.V1.Model.IapSettings{}} on success {:error, info} on failure"},{"ref":"GoogleApi.IAP.V1.Connection.html","title":"GoogleApi.IAP.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.IAP.V1."},{"ref":"GoogleApi.IAP.V1.Connection.html#delete/3","title":"GoogleApi.IAP.V1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#delete!/3","title":"GoogleApi.IAP.V1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#execute/2","title":"GoogleApi.IAP.V1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns {:ok, Tesla.Env.t} - If the call was successful {:error, reason} - If the call failed"},{"ref":"GoogleApi.IAP.V1.Connection.html#get/3","title":"GoogleApi.IAP.V1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#get!/3","title":"GoogleApi.IAP.V1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#head/3","title":"GoogleApi.IAP.V1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#head!/3","title":"GoogleApi.IAP.V1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#new/0","title":"GoogleApi.IAP.V1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Env.client"},{"ref":"GoogleApi.IAP.V1.Connection.html#new/1","title":"GoogleApi.IAP.V1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (type: list(String.t()) -&gt; String.t()) - Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.IAP.V1.Connection.html#options/3","title":"GoogleApi.IAP.V1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#options!/3","title":"GoogleApi.IAP.V1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#patch/4","title":"GoogleApi.IAP.V1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#patch!/4","title":"GoogleApi.IAP.V1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#post/4","title":"GoogleApi.IAP.V1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#post!/4","title":"GoogleApi.IAP.V1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#put/4","title":"GoogleApi.IAP.V1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#put!/4","title":"GoogleApi.IAP.V1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#request/2","title":"GoogleApi.IAP.V1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.IAP.V1.Connection.html#request!/2","title":"GoogleApi.IAP.V1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.IAP.V1.Connection.html#trace/3","title":"GoogleApi.IAP.V1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#trace!/3","title":"GoogleApi.IAP.V1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.IAP.V1.Connection.html#t:option/0","title":"GoogleApi.IAP.V1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Connection.html#t:t/0","title":"GoogleApi.IAP.V1.Connection.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.AccessSettings.html","title":"GoogleApi.IAP.V1.Model.AccessSettings","type":"module","doc":"Access related settings for IAP protected apps. Attributes corsSettings (type: GoogleApi.IAP.V1.Model.CorsSettings.t, default: nil) - Configuration to allow cross-origin requests via IAP. gcipSettings (type: GoogleApi.IAP.V1.Model.GcipSettings.t, default: nil) - GCIP claims and endpoint configurations for 3p identity providers. oauthSettings (type: GoogleApi.IAP.V1.Model.OAuthSettings.t, default: nil) - Settings to configure IAP&#39;s OAuth behavior."},{"ref":"GoogleApi.IAP.V1.Model.AccessSettings.html#decode/2","title":"GoogleApi.IAP.V1.Model.AccessSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.AccessSettings.html#t:t/0","title":"GoogleApi.IAP.V1.Model.AccessSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.ApplicationSettings.html","title":"GoogleApi.IAP.V1.Model.ApplicationSettings","type":"module","doc":"Wrapper over application specific settings for IAP. Attributes csmSettings (type: GoogleApi.IAP.V1.Model.CsmSettings.t, default: nil) - Settings to configure IAP&#39;s behavior for a CSM mesh."},{"ref":"GoogleApi.IAP.V1.Model.ApplicationSettings.html#decode/2","title":"GoogleApi.IAP.V1.Model.ApplicationSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.ApplicationSettings.html#t:t/0","title":"GoogleApi.IAP.V1.Model.ApplicationSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.Binding.html","title":"GoogleApi.IAP.V1.Model.Binding","type":"module","doc":"Associates members with a role. Attributes condition (type: GoogleApi.IAP.V1.Model.Expr.t, default: nil) - The condition that is associated with this binding. NOTE: An unsatisfied condition will not allow user access via current binding. Different bindings, including their conditions, are examined independently. members (type: list(String.t), default: nil) - Specifies the identities requesting access for a Cloud Platform resource. members can have the following values: allUsers: A special identifier that represents anyone who is on the internet; with or without a Google account. allAuthenticatedUsers: A special identifier that represents anyone who is authenticated with a Google account or a service account. user:{emailid}: An email address that represents a specific Google account. For example, alice@example.com . serviceAccount:{emailid}: An email address that represents a service account. For example, my-other-app@appspot.gserviceaccount.com. group:{emailid}: An email address that represents a Google group. For example, admins@example.com. deleted:user:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a user that has been recently deleted. For example, alice@example.com?uid=123456789012345678901. If the user is recovered, this value reverts to user:{emailid} and the recovered user retains the role in the binding. deleted:serviceAccount:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a service account that has been recently deleted. For example, my-other-app@appspot.gserviceaccount.com?uid=123456789012345678901. If the service account is undeleted, this value reverts to serviceAccount:{emailid} and the undeleted service account retains the role in the binding. deleted:group:{emailid}?uid={uniqueid}: An email address (plus unique identifier) representing a Google group that has been recently deleted. For example, admins@example.com?uid=123456789012345678901. If the group is recovered, this value reverts to group:{emailid} and the recovered group retains the role in the binding. domain:{domain}: The G Suite domain (primary) that represents all the users of that domain. For example, google.com or example.com. role (type: String.t, default: nil) - Role that is assigned to members. For example, roles/viewer, roles/editor, or roles/owner."},{"ref":"GoogleApi.IAP.V1.Model.Binding.html#decode/2","title":"GoogleApi.IAP.V1.Model.Binding.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.Binding.html#t:t/0","title":"GoogleApi.IAP.V1.Model.Binding.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.Brand.html","title":"GoogleApi.IAP.V1.Model.Brand","type":"module","doc":"OAuth brand data. NOTE: Only contains a portion of the data that describes a brand. Attributes applicationTitle (type: String.t, default: nil) - Application name displayed on OAuth consent screen. name (type: String.t, default: nil) - Output only. Identifier of the brand. NOTE: GCP project number achieves the same brand identification purpose as only one brand per project can be created. orgInternalOnly (type: boolean(), default: nil) - Output only. Whether the brand is only intended for usage inside the GSuite organization only. supportEmail (type: String.t, default: nil) - Support email displayed on the OAuth consent screen."},{"ref":"GoogleApi.IAP.V1.Model.Brand.html#decode/2","title":"GoogleApi.IAP.V1.Model.Brand.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.Brand.html#t:t/0","title":"GoogleApi.IAP.V1.Model.Brand.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.CorsSettings.html","title":"GoogleApi.IAP.V1.Model.CorsSettings","type":"module","doc":"Allows customers to configure HTTP request paths that&#39;ll allow HTTP OPTIONS call to bypass authentication and authorization. Attributes allowHttpOptions (type: boolean(), default: nil) - Configuration to allow HTTP OPTIONS calls to skip authorization. If undefined, IAP will not apply any special logic to OPTIONS requests."},{"ref":"GoogleApi.IAP.V1.Model.CorsSettings.html#decode/2","title":"GoogleApi.IAP.V1.Model.CorsSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.CorsSettings.html#t:t/0","title":"GoogleApi.IAP.V1.Model.CorsSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.CsmSettings.html","title":"GoogleApi.IAP.V1.Model.CsmSettings","type":"module","doc":"Configuration for RCTokens generated for CSM workloads protected by IAP. RCTokens are IAP generated JWTs that can be verified at the application. The RCToken is primarily used for ISTIO deployments, and can be scoped to a single mesh by configuring the audience field accordingly Attributes rctokenAud (type: String.t, default: nil) - Audience claim set in the generated RCToken. This value is not validated by IAP."},{"ref":"GoogleApi.IAP.V1.Model.CsmSettings.html#decode/2","title":"GoogleApi.IAP.V1.Model.CsmSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.CsmSettings.html#t:t/0","title":"GoogleApi.IAP.V1.Model.CsmSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.Empty.html","title":"GoogleApi.IAP.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for Empty is empty JSON object {}. Attributes"},{"ref":"GoogleApi.IAP.V1.Model.Empty.html#decode/2","title":"GoogleApi.IAP.V1.Model.Empty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.Empty.html#t:t/0","title":"GoogleApi.IAP.V1.Model.Empty.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.Expr.html","title":"GoogleApi.IAP.V1.Model.Expr","type":"module","doc":"Represents an expression text. Example: title: &quot;User account presence&quot; description: &quot;Determines whether the request has a user account&quot; expression: &quot;size(request.user) &gt; 0&quot; Attributes description (type: String.t, default: nil) - An optional description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. expression (type: String.t, default: nil) - Textual representation of an expression in Common Expression Language syntax. The application context of the containing message determines which well-known feature set of CEL is supported. location (type: String.t, default: nil) - An optional string indicating the location of the expression for error reporting, e.g. a file name and a position in the file. title (type: String.t, default: nil) - An optional title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression."},{"ref":"GoogleApi.IAP.V1.Model.Expr.html#decode/2","title":"GoogleApi.IAP.V1.Model.Expr.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.Expr.html#t:t/0","title":"GoogleApi.IAP.V1.Model.Expr.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.GcipSettings.html","title":"GoogleApi.IAP.V1.Model.GcipSettings","type":"module","doc":"Allows customers to configure tenant_id for GCIP instance per-app. Attributes loginPageUri (type: String.t, default: nil) - Login page URI associated with the GCIP tenants. Typically, all resources within the same project share the same login page, though it could be overridden at the sub resource level. tenantIds (type: list(String.t), default: nil) - GCIP tenant ids that are linked to the IAP resource. tenantids could be a string beginning with a number character to indicate authenticating with GCIP tenant flow, or in the format of to indicate authenticating with GCIP agent flow. If agent flow is used, tenant_ids should only contain one single element, while for tenant flow, tenant_ids can contain multiple elements."},{"ref":"GoogleApi.IAP.V1.Model.GcipSettings.html#decode/2","title":"GoogleApi.IAP.V1.Model.GcipSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.GcipSettings.html#t:t/0","title":"GoogleApi.IAP.V1.Model.GcipSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.html","title":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest","type":"module","doc":"Request message for GetIamPolicy method. Attributes options (type: GoogleApi.IAP.V1.Model.GetPolicyOptions.t, default: nil) - OPTIONAL: A GetPolicyOptions object for specifying options to GetIamPolicy. This field is only used by Cloud IAM."},{"ref":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.html#decode/2","title":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.html#t:t/0","title":"GoogleApi.IAP.V1.Model.GetIamPolicyRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.GetPolicyOptions.html","title":"GoogleApi.IAP.V1.Model.GetPolicyOptions","type":"module","doc":"Encapsulates settings provided to GetIamPolicy. Attributes requestedPolicyVersion (type: integer(), default: nil) - Optional. The policy format version to be returned. Valid values are 0, 1, and 3. Requests specifying an invalid value will be rejected. Requests for policies with any conditional bindings must specify version 3. Policies without any conditional bindings may specify any valid value or leave the field unset."},{"ref":"GoogleApi.IAP.V1.Model.GetPolicyOptions.html#decode/2","title":"GoogleApi.IAP.V1.Model.GetPolicyOptions.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.GetPolicyOptions.html#t:t/0","title":"GoogleApi.IAP.V1.Model.GetPolicyOptions.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.IapSettings.html","title":"GoogleApi.IAP.V1.Model.IapSettings","type":"module","doc":"The IAP configurable settings. Attributes accessSettings (type: GoogleApi.IAP.V1.Model.AccessSettings.t, default: nil) - Top level wrapper for all access related setting in IAP applicationSettings (type: GoogleApi.IAP.V1.Model.ApplicationSettings.t, default: nil) - Top level wrapper for all application related settings in IAP name (type: String.t, default: nil) - Required. The resource name of the IAP protected resource."},{"ref":"GoogleApi.IAP.V1.Model.IapSettings.html#decode/2","title":"GoogleApi.IAP.V1.Model.IapSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.IapSettings.html#t:t/0","title":"GoogleApi.IAP.V1.Model.IapSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.html","title":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient","type":"module","doc":"Contains the data that describes an Identity Aware Proxy owned client. Attributes displayName (type: String.t, default: nil) - Human-friendly name given to the OAuth client. name (type: String.t, default: nil) - Output only. Unique identifier of the OAuth client. secret (type: String.t, default: nil) - Output only. Client secret of the OAuth client."},{"ref":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.html#decode/2","title":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.html#t:t/0","title":"GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.ListBrandsResponse.html","title":"GoogleApi.IAP.V1.Model.ListBrandsResponse","type":"module","doc":"Response message for ListBrands. Attributes brands (type: list(GoogleApi.IAP.V1.Model.Brand.t), default: nil) - Brands existing in the project."},{"ref":"GoogleApi.IAP.V1.Model.ListBrandsResponse.html#decode/2","title":"GoogleApi.IAP.V1.Model.ListBrandsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.ListBrandsResponse.html#t:t/0","title":"GoogleApi.IAP.V1.Model.ListBrandsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.html","title":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse","type":"module","doc":"Response message for ListIdentityAwareProxyClients. Attributes identityAwareProxyClients (type: list(GoogleApi.IAP.V1.Model.IdentityAwareProxyClient.t), default: nil) - Clients existing in the brand. nextPageToken (type: String.t, default: nil) - A token, which can be send as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages."},{"ref":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.html#decode/2","title":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.html#t:t/0","title":"GoogleApi.IAP.V1.Model.ListIdentityAwareProxyClientsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.OAuthSettings.html","title":"GoogleApi.IAP.V1.Model.OAuthSettings","type":"module","doc":"Configuration for OAuth login&amp;consent flow behavior. Attributes loginHint (type: String.t, default: nil) - Domain hint to send as hd=? parameter in OAuth request flow. Enables redirect to primary IDP by skipping Google&#39;s login screen. https://developers.google.com/identity/protocols/OpenIDConnect#hd-param Note: IAP does not verify that the id token&#39;s hd claim matches this value since access behavior is managed by IAM policies."},{"ref":"GoogleApi.IAP.V1.Model.OAuthSettings.html#decode/2","title":"GoogleApi.IAP.V1.Model.OAuthSettings.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.OAuthSettings.html#t:t/0","title":"GoogleApi.IAP.V1.Model.OAuthSettings.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.Policy.html","title":"GoogleApi.IAP.V1.Model.Policy","type":"module","doc":"An Identity and Access Management (IAM) policy, which specifies access controls for Google Cloud resources. A Policy is a collection of bindings. A binding binds one or more members to a single role. Members can be user accounts, service accounts, Google groups, and domains (such as G Suite). A role is a named list of permissions; each role can be an IAM predefined role or a user-created custom role. Optionally, a binding can specify a condition, which is a logical expression that allows access to a resource only if the expression evaluates to true. A condition can add constraints based on attributes of the request, the resource, or both. JSON example: { &quot;bindings&quot;: [ { &quot;role&quot;: &quot;roles/resourcemanager.organizationAdmin&quot;, &quot;members&quot;: [ &quot;user:mike@example.com&quot;, &quot;group:admins@example.com&quot;, &quot;domain:google.com&quot;, &quot;serviceAccount:my-project-id@appspot.gserviceaccount.com&quot; ] }, { &quot;role&quot;: &quot;roles/resourcemanager.organizationViewer&quot;, &quot;members&quot;: [&quot;user:eve@example.com&quot;], &quot;condition&quot;: { &quot;title&quot;: &quot;expirable access&quot;, &quot;description&quot;: &quot;Does not grant access after Sep 2020&quot;, &quot;expression&quot;: &quot;request.time &lt; timestamp(&#39;2020-10-01T00:00:00.000Z&#39;)&quot;, } } ], &quot;etag&quot;: &quot;BwWWja0YfJA=&quot;, &quot;version&quot;: 3 } YAML example: bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-project-id@appspot.gserviceaccount.com role: roles/resourcemanager.organizationAdmin - members: - user:eve@example.com role: roles/resourcemanager.organizationViewer condition: title: expirable access description: Does not grant access after Sep 2020 expression: request.time &lt; timestamp(&#39;2020-10-01T00:00:00.000Z&#39;) - etag: BwWWja0YfJA= - version: 3 For a description of IAM and its features, see the IAM documentation. Attributes bindings (type: list(GoogleApi.IAP.V1.Model.Binding.t), default: nil) - Associates a list of members to a role. Optionally, may specify a condition that determines how and when the bindings are applied. Each of the bindings must contain at least one member. etag (type: String.t, default: nil) - etag is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the etag in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An etag is returned in the response to getIamPolicy, and systems are expected to put that etag in the request to setIamPolicy to ensure that their change will be applied to the same version of the policy. Important: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost. version (type: integer(), default: nil) - Specifies the format of the policy. Valid values are 0, 1, and 3. Requests that specify an invalid value are rejected. Any operation that affects conditional role bindings must specify version 3. This requirement applies to the following operations: Getting a policy that includes a conditional role binding Adding a conditional role binding to a policy Changing a conditional role binding in a policy Removing any role binding, with or without a condition, from a policy that includes conditions Important: If you use IAM Conditions, you must include the etag field whenever you call setIamPolicy. If you omit this field, then IAM allows you to overwrite a version 3 policy with a version 1 policy, and all of the conditions in the version 3 policy are lost. If a policy does not include any conditions, operations on that policy may specify any valid version or leave the field unset."},{"ref":"GoogleApi.IAP.V1.Model.Policy.html#decode/2","title":"GoogleApi.IAP.V1.Model.Policy.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.Policy.html#t:t/0","title":"GoogleApi.IAP.V1.Model.Policy.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.html","title":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest","type":"module","doc":"The request sent to ResetIdentityAwareProxyClientSecret. Attributes"},{"ref":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.html#decode/2","title":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.html#t:t/0","title":"GoogleApi.IAP.V1.Model.ResetIdentityAwareProxyClientSecretRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.html","title":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest","type":"module","doc":"Request message for SetIamPolicy method. Attributes policy (type: GoogleApi.IAP.V1.Model.Policy.t, default: nil) - REQUIRED: The complete policy to be applied to the resource. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them."},{"ref":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.html#decode/2","title":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.html#t:t/0","title":"GoogleApi.IAP.V1.Model.SetIamPolicyRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.html","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest","type":"module","doc":"Request message for TestIamPermissions method. Attributes permissions (type: list(String.t), default: nil) - The set of permissions to check for the resource. Permissions with wildcards (such as &#39;&#39; or &#39;storage.&#39;) are not allowed. For more information see IAM Overview."},{"ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.html#decode/2","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.html#t:t/0","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.html","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse","type":"module","doc":"Response message for TestIamPermissions method. Attributes permissions (type: list(String.t), default: nil) - A subset of TestPermissionsRequest.permissions that the caller is allowed."},{"ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.html#decode/2","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.html#t:t/0","title":"GoogleApi.IAP.V1.Model.TestIamPermissionsResponse.t/0","type":"type","doc":""}]